Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040975
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-05-30 13:172019-06-05 20:54
ReporterfranciscoView Statuspublic 
Assigned Tononofrancisco 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionb03c10e80c92
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040975: [Sales order]Not taking the right conversion rate

DescriptionMaking a payment in sales order with multi currency is not taking the right conversion rate until the "deposit to" section is refresh
Steps To ReproduceTested in PI organization F&B EspaƱa SA
Go to financial Account and create a new financial account with currency USD
Add the payment method "Transferencia"

In Payment Method window enable "Receive Payments in Multiple Currencies" for "Transferencia"

Create a sale in Sales Order
Book the sale
Add payment and select the financial account for USD in "Deposit To". On the right side of the screen appears the conversion rates that apply for the day selected in Payment Date.
Now change the "Payment date" and choose one you know it has a different conversion rate.
You can see the "Conversion rate" doesn't change, to refresh the value and see the real values, you have to go to "Deposit To" and change the financial account, when you come back to the one you want to use again, it is when the conversion rate is refresh and changes to the right one
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112387)
nonofrancisco (developer)
2019-06-04 17:27

Test Plan

As Openbravo/F&B International Group Admin
Go to financial Account and create a new financial account with currency USD
Add the payment method "Transferencia"

In Payment Method window enable "Receive Payments in Multiple Currencies" for "Transferencia"

Go to Sales Order window
Create a new Sales Order
Book the document
Click on Add Payment
Select the financial account for USD in "Deposit To".
Verify in the right side of the screen appears the conversion rates that apply for selected date in Payment Date.
Now set Payment Date to "04-06-2017"
You can see the "Conversion rate" is updated to the value "1.08"
Now set Payment Date to "01-01-2020"
You can see the "Conversion rate" is updated to the value "1.13"
(0112405)
hgbot (developer)
2019-06-05 09:46

Repository: erp/devel/pi
Changeset: b03c10e80c924298754b421148ee05f3c846808d
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Jun 03 16:53:26 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/b03c10e80c924298754b421148ee05f3c846808d [^]

Fixes issue 40975: Updates conversion rates on payment date changes

A new function was defined for onChange event in Payment Date parameter, to
update conversion rates when payment date changes.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0112406)
Sandrahuguet (developer)
2019-06-05 09:46

code review + testing OK
(0112443)
hudsonbot (developer)
2019-06-05 20:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a8037910e3ad [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-30 13:17 francisco New Issue
2019-05-30 13:17 francisco Assigned To => Triage Finance
2019-05-30 13:17 francisco Modules => Core
2019-05-30 13:17 francisco Triggers an Emergency Pack => No
2019-05-30 16:48 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-06-04 17:27 nonofrancisco Status new => scheduled
2019-06-04 17:27 nonofrancisco Note Added: 0112387
2019-06-05 09:46 hgbot Checkin
2019-06-05 09:46 hgbot Note Added: 0112405
2019-06-05 09:46 hgbot Status scheduled => resolved
2019-06-05 09:46 hgbot Resolution open => fixed
2019-06-05 09:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b03c10e80c924298754b421148ee05f3c846808d [^]
2019-06-05 09:46 Sandrahuguet Review Assigned To => Sandrahuguet
2019-06-05 09:46 Sandrahuguet Note Added: 0112406
2019-06-05 09:46 Sandrahuguet Status resolved => closed
2019-06-05 09:46 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-06-05 20:54 hudsonbot Checkin
2019-06-05 20:54 hudsonbot Note Added: 0112443


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker